{% extends 'admin_login/base.html.twig' %}

{% block content %}
    <!-- login area start -->
    <div class="login-area">
        <div class="container">
            <div class="login-box ptb--100">
                <form action="{{ path('admin_login') }}" method="POST">
                    <div class="login-form-head">
                        <h4>Zaloguj się</h4>
                        <p>Witamy, zaloguj się aby rozpocząć pracę z BadgerCMS</p>
                    </div>
                    <div class="login-form-body">
                        {% include('bundles/EasyAdminBundle/admin_base/flash.html.twig') %}
                        {% if error and error.messageKey is defined %}
                            <div class="form-gp text-danger">{{ error.messageKey|trans(error.messageData, 'security')|trans }}</div>
                        {% elseif error %}
                            <div class="form-gp text-danger">{{ error }}</div>
                        {% endif %}
                        <div class="form-gp focused">
                            <label for="exampleInputEmail1">Login</label>
                            <input type="text" name="_username" required value="{{ last_username }}" autofocus
                                   id="exampleInputEmail1">
                            <i class="ti-user"></i>
                        </div>
                        <div class="form-gp">
                            <label for="exampleInputPassword1">Password</label>
                            <input type="password" name="_password" required id="exampleInputPassword1">
                            <i class="ti-lock"></i>
                        </div>
                        <div class="row mb-4 rmber-area">
                            <div class="col-6">
                                <div class="custom-control custom-checkbox mr-sm-2">
                                    <input type="checkbox" name="_remember_me" class="custom-control-input"
                                           id="customControlAutosizing">
                                    <label class="custom-control-label" for="customControlAutosizing">Zapamiętaj
                                        mnie</label>
                                </div>
                            </div>
                            <div class="col-6 text-right">
                                <a href="{{ path('app_forgot_password_request') }}">Zapomniałem hasła</a>
                            </div>
                        </div>
                        <input type="hidden" name="_csrf_token" value="{{ csrf_token('authenticate') }}">
                        <div class="submit-btn-area">
                            <button id="form_submit" type="submit">Zaloguj <i class="ti-arrow-right"></i></button>
                        </div>
                    </div>
                </form>
            </div>
        </div>
    </div>
    <!-- login area end -->
{% endblock %}